package com.tmax.openframe.variable.group;

import ch.obermuhlner.math.big.BigDecimalMath;
import java.math.*;
import java.text.DecimalFormat;
import java.util.*;
import java.util.function.BiFunction;
import lombok.*;
import org.apache.commons.lang3.StringUtils;

/** 
 * <p>This source code was generated by COBOL to JAVA migrator</p>
 */
public @AllArgsConstructor @NoArgsConstructor @Builder(builderClassName = "builder") class COBTEST2_ITEM_REC {
    public @Getter @Setter @Builder.Default COBTEST2_ITEM_KEY ITEM_KEY = new COBTEST2_ITEM_KEY();
    public @Getter @Builder.Default String ITEM_LCYM = StringUtils.repeat(' ',
            6);
    public @Getter @Setter int ITEM_LPMT;
    private final static BiFunction<Long, String, String> intFormatWithoutSign = (
            value, format) -> {
        DecimalFormat nf = new DecimalFormat();
        nf.setNegativePrefix("");
        nf.applyPattern(format);
        return nf.format(value);
    };

    public void setITEM_LCYM(String source) {
        ITEM_LCYM = StringUtils.truncate(StringUtils.rightPad(source, 6), 6);
    }

    public String getStringITEM_LPMT() {
        return intFormatWithoutSign.apply((long) ITEM_LPMT, "00000");
    }

    @Override
    public String toString() {
        return getITEM_KEY().toString() + getITEM_LCYM() + getStringITEM_LPMT();
    }
}
